<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCodices") label="Codices"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Advanced Codex Search"]]

<div class="panel gap">
  <div class="panel-body">
<semantic-search>
  <semantic-search-form-query
     query-template='{
       "queryString": "SELECT ?subject
          WHERE {
            ?subject a ismi:Codex;
              rdfs:label ?label;
              crm:P1_is_identified_by ?id;
              crm:P46i_forms_part_of ?collection.
            ?id crm:P2_has_type ismiidtype:preferred-identifier;
              rdfs:label ?identifier.
            ?collection rdfs:label ?coll_label; 
              crm:P49_has_former_or_current_keeper ?repository.
            OPTIONAL {
              ?subject crm:P1_is_identified_by ?iid.
              ?iid crm:P2_has_type ismiidtype:ismi-id;
               rdfs:label ?ismi_id.
            }
            OPTIONAL {
              ?digitization crmdig:L1_digitized ?subject .
            }
            bind(?id_match as ?identifier)
            bind(?coll_match as ?collection)
            bind(?repo_match as ?repository)
            filter(if(?has_digitization, bound(?digitization), true))
          }",
       "arguments": {
         "repo_match": {"type": "xsd:anyURI", "optional": true},
         "coll_match": {"type": "xsd:anyURI", "optional": true},
         "id_match": {"type": "xsd:string", "optional": true},
         "has_digitization": {"type": "xsd:boolean", "optional": true}
       }
     }'
     fields="[[fieldDefinitions
         id_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_identifier'
         coll_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_collection'
         repo_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_repository'
         has_digitization='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_digitization'
       ]]">
    <semantic-form-select-input for="coll_match"></semantic-form-select-input>
    <semantic-form-text-input for="id_match" placeholder='Codex identifier'></semantic-form-text-input>
    <semantic-form-select-input for="repo_match"></semantic-form-select-input>
    <semantic-form-checkbox-input for="has_digitization"></semantic-form-checkbox-input>
    <button type='button' name='submit' className='btn btn-default'>Search</button>
  </semantic-search-form-query>
  <semantic-search-result-holder>
    <semantic-search-result> 
<semantic-table
  id='table'
  query='SELECT ?subject ?identifier ?collection ?repository ?digitization WHERE {} 
    ORDER BY lcase(?coll_label) xsd:integer(?identifier)'
  column-configuration='[
    { "variableName": "subject", "displayName": "Codex" },
    { "variableName": "collection", "displayName": "Collection" },
    { "variableName": "identifier", "displayName": "Identifier" },
    { "variableName": "repository", "displayName": "Repository" },
    { "variableName": "digitization", "displayName": "Digitization" }
  ]'
  number-of-displayed-rows=100
  options='{"showFilter": false}'
  >
</semantic-table>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>
  </div>
</div>

[[> Partial:contentEnd]]
